Bug 1696227 - [RFE] print client IP in default debug_ms log level when "bad crc in {front|middle|data}" occurs
Summary: [RFE] print client IP in default debug_ms log level when "bad crc in {front|m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 3.3
Assignee: Greg Farnum
QA Contact: Manohar Murthy
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1726135
TreeView+ depends on / blocked
 
Reported: 2019-04-04 11:28 UTC by Tomas Petr
Modified: 2019-08-21 15:11 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-12.2.12-16.el7cp Ubuntu: ceph_12.2.12-15redhat1xenial
Doc Type: Enhancement
Doc Text:
.Updated the Ceph debug log to include the source IP address on failed incoming CRC messages Previously, when a failed incoming Cyclic Redundancy Check (CRC) message was getting logged into the Ceph debug log, only a warning about the failed incoming CRC message was logged. With this release, the source IP address is added to this warning message. This helps system administrators identify which clients and daemons might have some networking issues.
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 39367 None None None 2019-04-17 22:29:45 UTC
Github ceph ceph pull 27858 'None' closed luminous: msg: output peer address when detecting bad CRCs 2020-03-09 10:23:51 UTC
Red Hat Product Errata RHSA-2019:2538 None None None 2019-08-21 15:11:02 UTC

Description Tomas Petr 2019-04-04 11:28:00 UTC
Description of problem:
Ceph is checking the message from client in "Message *decode_message", there are few crc errors that can occur:
https://github.com/ceph/ceph/blob/v12.2.8/src/msg/Message.cc#L281
https://github.com/ceph/ceph/blob/master/src/msg/Message.cc#L288

From the default ceph-osd  log level of debug_ms we are not able to see which client has sent such message.
To get the client IP debug_ms=20 is needed.

It would speed up tracking the client, if the client IP would be printed with the "bad crc in {front|middle|data}"  error message in default log level.
Especially when the "bad crc in {front|middle|data}" can happen randomly.

Version-Release number of selected component (if applicable):
RHCS 2.x
RHCS 3.x

Comment 8 errata-xmlrpc 2019-08-21 15:10:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.